> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get files table



## OpenAPI

````yaml get /files/{type}/{id}/table
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /files/{type}/{id}/table:
    get:
      tags:
        - Files
      summary: Get files table
      operationId: b515b9c54f3e398cc42099a093d9d929
      parameters:
        - name: type
          in: path
          description: Type of the file (entity or donor)
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: ID of the entity or donor
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  files:
                    type: array
                    items:
                      type: object
                  box_exists:
                    type: boolean
                  type:
                    type: string
                  s:
                    type: string
                  'n':
                    type: integer
                  id:
                    type: integer
                  sponsors:
                    type: array
                    items:
                      type: object
                  entities:
                    type: array
                    items:
                      type: object
                  useBox:
                    type: boolean
                type: object
        '400':
          description: 'Error: Bad Request'
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Bad Request.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````